CAD software discussion forum > CAD > vla-getInterfaceObject

vla-getInterfaceObject

Rank: 1

Assgarth

Newbie

posts: 26

Registered: 2011-7-29

Message 1 of 1

 vla-getInterfaceObject
11-01-2013 04:42 . pm | View his/her posts only
Post Last Edit by Zibster at 2013-1-11 16:55

Hello,
when will be possible to use "vla-getInterfaceObject" function?
How can I connect with DBX in ZwCAD2012+ using VisualLisp?

ZwCAD:
(vla-getInterfaceObject (vlax-get-acad-object) (strcat "ObjectDBX.AxDbDocument." (substr (getvar "ACADVER") 1 2)))
; error: Automation Error.

or
(vla-getInterfaceObject (vlax-get-acad-object) (strcat "ObjectDBX.ZxDbDocument." (substr (getvar "ACADVER") 1 2)))
; error: Automation Error.


in AutoCAD:
(vla-getInterfaceObject (vlax-get-acad-object) (strcat "ObjectDBX.AxDbDocument." (substr (getvar "ACADVER") 1 2)))
# < VLA-OBJECT IAxDbDocument 00000000313cb630 >



Greetings,
Assgarth
See also